unknownpleasures(6)

NAME
unknownpleasures - a waterfall graph of the signal from pulsar PSR B1919+21.

SYNOPSIS
unknownpleasures [-display host:display.screen] [-visual visual] [-window] [-root] [-delay number] [-count number] [-speed number] [-resolution number] [-amplitude number] [-noise number] [-no-ortho] [-buzz] [-wireframe] [-fps]

DESCRIPTION
PSR B1919+21 (AKA CP 1919) was the first pulsar ever discovered: a spinning neutron star emitting a periodic lighthouse-like beacon. An illustration of the signal received from it was published in Scientific American in 1971, and later in The Cambridge Encyclopedia of Astronomy in 1977, where it was seen by Stephen Morris, the drummer of Joy Division, and was consequently appropriated by Peter Saville for the cover of the band's album "Unknown Pleasures".

OPTIONS

-visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

-window
    Draw on a newly-created window. This is the default.

-root
    Draw on the root window.

-delay number
    Per-frame delay, in microseconds. Default: 30000 (0.03 seconds).

-speed number
    Animation speed. 2 for twice as fast, 0.5 for half as fast.

-count number
    Scanlines (vertical resolution). Default: 80.

-resolution number
    Horizontal Resolution, Default: 100.

-amplitude number
    Height of the waves, 0 - 1.0. Default: 0.13.

-noise number
    How noisy the signal is. 2 for twice as noisy, 0.5 for half as noisy.

-ortho | -no-ortho
    Whether to use an orthographic projection.

-buzz | -no-buzz
    Whether each line should seethe with noise.

-wireframe | -no-wireframe
    Render in wireframe instead of solid.

-fps | -no-fps
    Whether to show a frames-per-second display at the bottom of the screen.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

SEE ALSO
X(1), xscreensaver(1)

COPYRIGHT
Copyright © 2013-2018 by Jamie Zawinski. Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. No representations are made about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.

AUTHOR
Jamie Zawinski.